System requirements

STweep for TwinCAT integrates as VSIX extension in Visual Studio or TwinCAT XAE Shell. This article shows the officially supported versions.

Supported IDE’s

  • Microsoft Visual studio 2017 community or higher
  • TwinCAT XAE Shell 15.0.28010.2050 D15.8.

Older versions might work but are not officially supported.

Operating system

  • Windows 7 with .NET framework 4.6.1 or higher.
  • Windows 10 with .NET framework 4.6.1 or higher.
Next Installation Guide Visual studio